// PeFile.h: interface for the CPeFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PEFILE_H__8E891A13_FE48_44AD_B19D_07208D4DA6C6__INCLUDED_)
#define AFX_PEFILE_H__8E891A13_FE48_44AD_B19D_07208D4DA6C6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BaseFile.h"

//PEļչEXE; DLL; OCXؼ
class CPeFile : public CBaseFile  
{
public:
	CPeFile();
	virtual ~CPeFile();

private:
	//һСDOSִĴС
	size_t m_nDosStubSize;


public:
	//DOSͷ
	IMAGE_DOS_HEADER m_dosHeader;
	//NTͷ
	IMAGE_NT_HEADERS m_ntHeaders;
	//ָ루ڴ棩
	PIMAGE_SECTION_HEADER m_pSectionHeaders;

public:
	size_t GetDummySize();
	size_t GetSizeOfAllSections();
	void Clear();
	virtual BOOL LoadFile(LPCTSTR lpszFileName);
	size_t GetDosStubSize() { return m_nDosStubSize; };
	int GetSectionCount() { return m_ntHeaders.FileHeader.NumberOfSections; };

	//RVAתļַ
	DWORD RvaToFileAddress(DWORD rva);

};

#endif // !defined(AFX_PEFILE_H__8E891A13_FE48_44AD_B19D_07208D4DA6C6__INCLUDED_)
