// BmpFile.h: interface for the CBmpFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BMPFILE_H__BAD74549_80B5_4B93_9DDB_382F22DC40AF__INCLUDED_)
#define AFX_BMPFILE_H__BAD74549_80B5_4B93_9DDB_382F22DC40AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BaseFile.h"

class CBmpFile : CBaseFile
{
public:
	CBmpFile();
	virtual ~CBmpFile();

private:
	//ɫС
	int m_PaletteSize;

	//ݿС
	size_t m_BitsSize;
	
	//ɨп
	int m_LineSize;

	//ǷʵʼλͼݣĿǰչʾҪ˷ڴ棩
	BOOL b_LoadBits;
	
public:
	//Աڴ
	BITMAPFILEHEADER m_fileHeader;

	//ָ룬Ҫطڴ棬ɵɫ
	BITMAPINFO *m_pInfo;

	//ָ룬λͼ
	LPVOID m_pBits;

public:
	virtual BOOL LoadFile(LPCTSTR lpszFileName);
	void Clear(); //ͷѾԴ
	int GetPaletteSize() { return m_PaletteSize; };
	int GetBitsSize() { return m_BitsSize; };
	int GetLineSize() { return m_LineSize; };
	BOOL GetLoadBits() { return b_LoadBits; };
	void SetLoadBits(BOOL bload) { b_LoadBits = bload; }; 
};

#endif // !defined(AFX_BMPFILE_H__BAD74549_80B5_4B93_9DDB_382F22DC40AF__INCLUDED_)
